# Unit kernel

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

`Kernel` Main - Main `Kernel` Entry Point.

## Uses

- multiboot
- bios_data_area
- util
- gdt
- idt
- isr
- irq
- tss
- TMR_0_ISR
- console
- keyboard
- mouse
- vmemorymanager
- pmemorymanager
- lmemorymanager
- tracer
- drivermanagement
- scheduler
- PCI
- Terminal
- strings
- USB
- testdriver
- E1000
- IDE
- storagemanagement
- lists
- net
- fat32
- isrmanager
- faults
- fonts
- RTC
- serial
- shell
- memview
- splash
- cpu
- themer
- netlog
- vmlog
- vm
- vmstate

## Overview

### Functions and Procedures

`procedure kmain(mbinfo: Pmultiboot_info_t; mbmagic: uint32); stdcall;`

## Description

### Functions and Procedures

`procedure kmain(mbinfo: Pmultiboot_info_t; mbmagic: uint32); stdcall;`

## Authors

- Kieron Morris <kjm@kieronmorris.me>
- Aaron Hance <ah@aaronhance.me>

Generated by PasDoc 0.15.0.